/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Nov-01-2011 07:27:01pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Gwendolyn.cs
Lines of code: 78
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class CreepyCrawlysQuest : BaseQuest
	{				
		public override object Title{ get{ return "Creepy Crawlys"; } }
		
		public override object Description{ get{ return "Those creepy crawlys are ruining my nightly walks to the cemetery. Can't get three feet into the woods before they jump all over you. I can take care of myself and usually blast them away with a few spells, but it's just annoying, you know?<br><br>Kindly get rid of them for me and maybe there will be a reward for you."; } }
		
		public override object Refuse{ get{ return "Hah, coward! You afraid of a few creepy crawlys?"; } }
		
		public override object Uncomplete{ get{ return "Check the Dark Woods, there should be a ton of those creepy crawlys around."; } }
		
		public override object Complete{ get{ return "You killed a bunch of those creepy crawlys? Great, maybe I'll actually be able to walk to the cemetery now. Here's your reward."; } }
	
		public CreepyCrawlysQuest() : base()
		{			
			AddObjective( new SlayObjective( typeof( CreepyCrawly ), "Creepy Crawly", 20 ) );
			
			AddReward( new BaseReward( typeof( CandyBagB ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Gwendolyn : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( CreepyCrawlysQuest )
			};} 
		}
		
		[Constructable]
		public Gwendolyn() : base( "Gwendolyn", "the spellcaster" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Gwendolyn( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;
			HairHue = 1175;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}